header{
    position: absolute;
    top: 0;
    z-index: 100;
    width:100%;
}

.header{
    display:flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.logo{
    width:15%;
    & img{
        width:100%;
        max-width:120px;
    }
}

/* main menu de navigation */
nav{
    width:60%;
}

#menu-main-menu-1{
        display: flex;
        justify-content: center;
        list-style: none;
        gap: 4%;
        padding: 0;
        margin: 0;
        & li{
            & a{
                color:var(--white);
                font-size:0.9rem;
                font-weight:700;
                transition: all 0.3s ease-in-out;
                font-family:'AmaranthRegular';
                &:hover{
                    font-size:1rem;
                    transition: all 0.3s ease-in-out;
                    text-decoration: none;
                }
            }
        }
    }

#menu-main-menu-1:hover li a:not(:hover) {
    opacity: 0.6;
    transition: all 0.3s ease;

}

#menu-main-menu-1 li a {
    transition: all 0.3s ease;
}


/* boutons CTA panier et compte */
.menu-cta{
    display: flex;
    justify-content: center;
    gap: 5px;
    width:15%;
}

/* lien */
.cart-btn {
    display: inline-flex;
    align-items: center;
    overflow: hidden;
    width: 40px; /* taille de l'icône seule */
    padding: 8px;
    color:var(--white);
    font-size:0.9rem;
    font-family:'AmaranthRegular';
    font-weight:700;
    text-decoration: none;
    transition: width 0.5s ease;
}

/* Icône */
.cart-btn img {
    width: 25px;
    height: 25px;
    flex-shrink: 0;
}

/* Texte caché au départ */
.cart-btn .label {
    margin-left: 10px;
    white-space: nowrap;
    opacity: 0;
    transform: translateX(-10px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

/* Hover */
.cart-btn:hover {
    width: 140px; /* largeur quand ouvert */
}

/* Apparition du texte */
.cart-btn:hover .label {
    opacity: 1;
    transform: translateX(0);
}

.cart-btn:active {
    transform: scale(0.96);
}


/* ---------------------------------------
-------------- responsive ----------------
--------------------------------------- */

@media screen and (max-width:1400px){
    .logo{
        width:20%;
    }

    .menu-cta{
        width:20%;
        justify-content: end;
    }

}


@media screen and (max-width:1200px){
 .nav-desktop{
    display:none;
 }
}

@media screen and (max-width:992px){
    .cta-desktop .cart-btn:hover {
        width: 40px;
    }
}